- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Properties

# QUndoView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qundoview.h.

`#include <qundoview.h>`

Inheritance diagram for QUndoView:
[legend]

List of all members.

## Public Slots
void | setStack (QUndoStack *stack)
void | setGroup (QUndoGroup *group)
## Public Member Functions
| QUndoView (QWidget *parent=0)
| QUndoView (QUndoStack *stack, QWidget *parent=0)
| QUndoView (QUndoGroup *group, QWidget *parent=0)
| ~QUndoView ()
QUndoStack * | stack () const
QUndoGroup * | group () const
void | setEmptyLabel (const QString &label)
QString | emptyLabel () const
void | setCleanIcon (const QIcon &icon)
QIcon | cleanIcon () const
## Properties
QString | emptyLabel
QIcon | cleanIcon

## Constructor & Destructor Documentation

QUndoView | ( | QWidget * | parent = `0` | ) | `[explicit]`

QUndoView | ( | QUndoStack * | stack,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QUndoView | ( | QUndoGroup * | group,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QUndoView | ( |  | ) |

## Member Function Documentation

QUndoStack* stack | ( |  | ) | const

Search for all occurrences

QUndoGroup* group | ( |  | ) | const

Search for all occurrences

void setEmptyLabel | ( | const QString & | label | ) |

Search for all occurrences

QString emptyLabel | ( |  | ) | const

Search for all occurrences

void setCleanIcon | ( | const QIcon & | icon | ) |

Search for all occurrences

QIcon cleanIcon | ( |  | ) | const

Search for all occurrences

void setStack | ( | QUndoStack * | stack | ) | `[slot]`

Search for all occurrences

void setGroup | ( | QUndoGroup * | group | ) | `[slot]`

Search for all occurrences

## Property Documentation

QString emptyLabel `[read, write]`

Search for all occurrences

Definition at line 65 of file qundoview.h.

QIcon cleanIcon `[read, write]`

Search for all occurrences

Definition at line 66 of file qundoview.h.

The documentation for this class was generated from the following file:

- QtGui/qundoview.h

QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView
QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView QUndoView